import { FC } from 'react';
import { ControlsProps } from './Controls';
import { DateSlotProps } from './DateSlot';
import { DaysOfWeekProps } from './WeekDays';
export type CalendarProps = {
    ControlsView?: FC<ControlsProps>;
    DateSlotView?: FC<DateSlotProps>;
    DaysOfWeekView?: FC<DaysOfWeekProps>;
    TimeColumn?: FC;
    layout?: 'day' | 'month' | 'week';
    longDayNames?: boolean;
    onClick?: (date: Date) => void;
    onRangeChange?: (dateFrom: Date, dateEnd: Date) => void;
    selectWeek?: boolean;
    selected?: Date;
    title?: string;
    type?: 'days' | 'months';
    value?: Date;
    weekOfMonth?: number;
};
export declare function Calendar({ value, onClick, onRangeChange, layout, type, weekOfMonth, ControlsView, DaysOfWeekView, title, DateSlotView, TimeColumn, selectWeek, selected, longDayNames, }: CalendarProps): ReturnType<FC>;
