"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
const react_1 = __importStar(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const react_2 = require("@emotion/react");
const react_native_1 = require("react-native");
const react_native_reanimated_1 = __importStar(require("react-native-reanimated"));
const values_js_1 = __importDefault(require("values.js"));
const FieldMessage_1 = require("@procyon/components/FieldMessage");
const Label_1 = require("@procyon/components/Label");
const RippleEffect_1 = require("@procyon/components/RippleEffect");
const SLIDER_RIGHT_POSITION = {
    sm: { left: 0, right: 8 },
    md: { left: 2, right: 21 },
    lg: { left: 2, right: 30 },
    xl: { left: 4, right: 40 },
};
const Checkbox = ({ label, description, color = 'primary', disabled, size = 'md', labelSize, labelPosition = 'right', style, message, checked, onChange, }) => {
    const rippleAnimateRef = (0, react_native_reanimated_1.useAnimatedRef)();
    const sliderSV = (0, react_native_reanimated_1.useSharedValue)(0);
    const theme = (0, react_2.useTheme)();
    (0, react_1.useEffect)(() => {
        sliderSV.value = SLIDER_RIGHT_POSITION[size].left;
    }, []);
    (0, react_1.useEffect)(() => {
        handleAnimation();
    }, [checked]);
    const handleClick = (e) => {
        onChange === null || onChange === void 0 ? void 0 : onChange(!checked, e);
    };
    const handleAnimation = () => {
        sliderSV.value = (0, react_native_reanimated_1.withTiming)(checked ? SLIDER_RIGHT_POSITION[size].right : SLIDER_RIGHT_POSITION[size].left);
    };
    const rippleColor = (0, react_1.useMemo)(() => {
        if (checked) {
            return theme.palette[color].light;
        }
        else {
            return theme.palette[color].main;
        }
    }, [color, checked]);
    return (react_1.default.createElement(react_native_1.View, { style: [style === null || style === void 0 ? void 0 : style.container], "aria-label": "checkbox" },
        label && (react_1.default.createElement(Label_1.Label, { size: labelSize, disabled: disabled }, label)),
        react_1.default.createElement(CheckboxInput, { style: [style === null || style === void 0 ? void 0 : style.input], onPress: handleClick, disabled: disabled, labelPosition: labelPosition, size: size, ref: rippleAnimateRef },
            react_1.default.createElement(CheckboxSwitch, { color: color, checked: checked, disabled: disabled, size: size, style: [style === null || style === void 0 ? void 0 : style.switch] },
                react_1.default.createElement(RippleEffect_1.RippleEffect, { disabled: disabled, ref: rippleAnimateRef, color: rippleColor, style: {
                        container: [
                            {
                                justifyContent: 'center',
                                borderRadius: 50,
                                height: '100%',
                            },
                        ],
                    } },
                    react_1.default.createElement(CheckboxSlider, { style: [
                            {
                                marginLeft: sliderSV,
                            },
                            style === null || style === void 0 ? void 0 : style.slider,
                        ], color: color, disabled: disabled, size: size }))),
            react_1.default.createElement(CheckboxDescription, { style: [style === null || style === void 0 ? void 0 : style.description], disabled: disabled, size: size }, description)),
        react_1.default.createElement(FieldMessage_1.FieldMessage, { color: color, size: size, message: message })));
};
exports.Checkbox = Checkbox;
const CheckboxInput = native_1.default.Pressable(() => {
    return {
        display: 'flex',
        alignItems: 'center',
        gap: 12,
        width: 'fit-content',
    };
}, ({ theme, size }) => {
    return {
        paddingTop: theme.spacing[size] - 1,
        paddingBottom: theme.spacing[size] + 4,
    };
}, ({ labelPosition }) => {
    if (labelPosition === 'left')
        return {
            flexDirection: 'row-reverse',
        };
    else
        return { flexDirection: 'row' };
});
const CheckboxSwitch = native_1.default.View(() => {
    return {
        borderRadius: 50,
        borderWidth: 1,
    };
}, ({ color, theme, checked }) => {
    return {
        borderColor: theme.palette[color].dark,
        backgroundColor: checked
            ? new values_js_1.default(theme.palette[color].main).tint(50).rgbString()
            : theme.palette.base.light,
    };
}, ({ size }) => {
    return {
        sm: { width: 20, height: 10 },
        md: { width: 40, height: 21 },
        lg: { width: 60, height: 30 },
        xl: { width: 80, height: 40 },
    }[size];
}, ({ disabled, theme }) => {
    if (disabled) {
        return {
            borderColor: theme.palette.text.disabled,
        };
    }
});
const CheckboxSlider = (0, native_1.default)(react_native_reanimated_1.default.View)(() => {
    return {
        borderRadius: 50,
        borderWidth: 1,
    };
}, ({ theme, color }) => {
    return {
        borderColor: theme.palette[color].dark,
        backgroundColor: theme.palette.base.light,
    };
}, ({ size }) => {
    return {
        sm: { width: 8, height: 8 },
        md: { width: 15, height: 15 },
        lg: { width: 24, height: 24 },
        xl: { width: 32, height: 32 },
    }[size];
}, ({ disabled, theme }) => {
    if (disabled) {
        return {
            borderColor: theme.palette.text.disabled,
        };
    }
});
const CheckboxDescription = native_1.default.Text(({ theme }) => {
    return {
        fontFamily: theme.fontFamily,
    };
}, ({ theme, size }) => {
    return {
        fontSize: theme.fontSize[size],
    };
}, ({ disabled, theme }) => {
    if (disabled) {
        return {
            color: theme.palette.text.disabled,
        };
    }
});
