"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selectbox = void 0;
const react_1 = __importStar(require("react"));
const ramda_1 = require("ramda");
const native_1 = __importDefault(require("@emotion/native"));
const lucide_react_native_1 = require("lucide-react-native");
const react_native_1 = require("react-native");
const ListItem_1 = require("@procyon/components/ListItem");
const context_1 = require("@procyon/components/Modal/context");
const context_2 = require("@procyon/components/Selectbox/context");
const TextField_1 = require("../TextField");
const SelectboxModal_1 = require("./SelectboxModal");
const findPreSelectedItems = (children, initValue) => {
    return react_1.Children.map(react_1.Children.toArray(children), (child) => {
        const elementChild = child;
        if ((0, react_1.isValidElement)(elementChild)) {
            if (elementChild.type === ListItem_1.ListItem && elementChild.props.value === initValue) {
                return elementChild.props.children;
            }
        }
        return null;
    });
};
const SelectboxComponent = (props) => {
    var _a, _b;
    const { value, onChange, name, label, children, message } = props, others = __rest(props, ["value", "onChange", "name", "label", "children", "message"]);
    const { renderValue, setRenderValue } = (0, context_2.useSelectbox)();
    const handleClick = (value, renderValue) => {
        setRenderValue(renderValue);
        onChange === null || onChange === void 0 ? void 0 : onChange(value);
    };
    const handleOptionRemove = () => {
        onChange === null || onChange === void 0 ? void 0 : onChange(undefined);
    };
    const [openModal, closeModal] = (0, context_1.useModal)(name, {
        style: (0, ramda_1.mergeDeepRight)({ container: { maxWidth: 300 } }, (_b = (_a = props.style) === null || _a === void 0 ? void 0 : _a.modal) !== null && _b !== void 0 ? _b : {}),
        Component: (modalProps) => {
            var _a;
            return (react_1.default.createElement(SelectboxModal_1.SelectboxModal, Object.assign({ name: name, closeModal: closeModal, onChange: handleClick, onRemove: handleOptionRemove, style: (_a = props.style) === null || _a === void 0 ? void 0 : _a.list, clearable: props.clearable, value: value }, modalProps), children));
        },
    });
    (0, react_1.useEffect)(() => {
        if (value) {
            setRenderValue(findPreSelectedItems(children, value));
        }
    }, []);
    return (react_1.default.createElement(TextField_1.TextField, Object.assign({}, others, { style: Object.assign(Object.assign({}, props.style), { input: [] }), label: label, Input: (props) => {
            var _a;
            return (react_1.default.createElement(FieldText, Object.assign({}, props, { style: [(_a = props.style) === null || _a === void 0 ? void 0 : _a.input] }), renderValue !== null && renderValue !== void 0 ? renderValue : react_1.default.createElement(react_native_1.View, null)));
        }, message: message, onClick: () => openModal(), RightIcon: (props) => (react_1.default.createElement(react_native_1.Pressable, Object.assign({ onPress: () => openModal(), style: [{ cursor: 'pointer' }] }, props),
            react_1.default.createElement(lucide_react_native_1.PointerIcon, null))) })));
};
const Selectbox = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    return (react_1.default.createElement(context_2.SelectboxProvider, null,
        react_1.default.createElement(SelectboxComponent, Object.assign({}, props), children)));
};
exports.Selectbox = Selectbox;
const FieldText = native_1.default.Text(({ theme, size }) => {
    return {
        cursor: 'pointer',
        color: theme.palette.text.main,
        fontFamily: theme.fontFamily,
        fontSize: theme.fontSize[size],
    };
});
