"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectboxModal = void 0;
const react_1 = __importDefault(require("react"));
const ramda_1 = require("ramda");
const lucide_react_native_1 = require("lucide-react-native");
const List_1 = require("@procyon/components/List");
const Button_1 = require("../Button");
const SelectboxModal = (_a) => {
    var { onChange, onRemove, closeModal, style, clearable, value, children } = _a, others = __rest(_a, ["onChange", "onRemove", "closeModal", "style", "clearable", "value", "children"]);
    const handleChange = (value, renderValue) => {
        onChange(value, renderValue);
        closeModal();
    };
    const removeActiveOption = () => {
        onRemove();
        closeModal();
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(List_1.List, Object.assign({}, others, { selected: value, onClick: handleChange, style: (0, ramda_1.mergeDeepRight)({
                container: {
                    maxHeight: 250,
                },
            }, style !== null && style !== void 0 ? style : {}) }), children),
        clearable && (react_1.default.createElement(Button_1.Button, { size: "sm", color: "negative", onClick: removeActiveOption, variant: "text" },
            react_1.default.createElement(lucide_react_native_1.TrashIcon, { fontSize: 20 })))));
};
exports.SelectboxModal = SelectboxModal;
