"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableText = exports.TableCell = exports.TableHead = exports.Table = void 0;
const react_1 = __importDefault(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const react_2 = require("@emotion/react");
const values_js_1 = __importDefault(require("values.js"));
const Grid_1 = require("@procyon/components/Grid");
const Table = ({ cols, rows, nthHighlight = true, colsCount }) => {
    const theme = (0, react_2.useTheme)();
    return (react_1.default.createElement(TableContainer, { cols: colsCount !== null && colsCount !== void 0 ? colsCount : { xs: cols.length } },
        react_1.default.createElement(TableRow, { nthHighlight: false }, cols.map((Col, i) => (react_1.default.createElement(Col, { key: i, cols: { xs: 1 }, style: Object.assign(Object.assign({}, (i === 0 && {
                borderTopLeftRadius: theme.rounded.md - 1,
            })), (i === cols.length - 1 && {
                borderTopRightRadius: theme.rounded.md - 1,
            })) })))),
        rows.map((row, r) => {
            return (react_1.default.createElement(TableRow, { key: r, nthHighlight: nthHighlight && (r + 1) % 2 === 0, style: Object.assign({}, (r === rows.length - 1 && {
                    borderBottomLeftRadius: theme.rounded.md - 1,
                    borderBottomRightRadius: theme.rounded.md - 1,
                })) }, row.map((Cell, c) => (react_1.default.createElement(Cell, { key: c, cols: { sm: 1 } })))));
        })));
};
exports.Table = Table;
const TableContainer = (0, native_1.default)(Grid_1.Grid)(({ theme }) => {
    return {
        borderWidth: 1,
        borderColor: theme.palette.primary.dark,
        borderRadius: theme.rounded.md,
    };
});
const TableRow = (0, native_1.default)(Grid_1.GridRow)(({ nthHighlight, theme }) => {
    return {
        backgroundColor: nthHighlight
            ? new values_js_1.default(theme.palette.base.main).tint(20).rgbString()
            : 'transparent',
    };
});
exports.TableHead = (0, native_1.default)(Grid_1.GridCol)(({ theme }) => {
    return {
        backgroundColor: theme.palette.primary.dark,
        justifyContent: 'center',
        padding: theme.spacing.md,
    };
});
exports.TableCell = (0, native_1.default)(Grid_1.GridCol)(({ theme }) => {
    return {
        justifyContent: 'center',
        padding: theme.spacing.md,
    };
});
exports.TableText = native_1.default.Text(({ theme, head }) => {
    return Object.assign({}, (head
        ? {
            color: theme.palette.primary.light,
        }
        : {
            color: theme.palette.text.main,
        }));
});
